use clap::{Args, ValueEnum};
use image::io::Reader as ImageReader;
use std::io::Cursor;
use tool_helper::{Error, Input, Output};

#[derive(Copy, Clone, PartialEq, Eq, PartialOrd, Ord, ValueEnum)]
pub enum ColorDepth {
    Clut4,
    Clut8,
    Full16,
}

#[derive(Args)]
pub struct Arguments {
    #[clap(arg_enum, value_parser)]
    color_depth: ColorDepth
}

pub fn convert(_args: Arguments, input: Input, _output: Output) -> Result<(), Error> {
    ImageReader::new(Cursor::new(tool_helper::input_to_vec(input)?));

    Err(Error::not_implemented("convert"))
}